Subject: bug#25178: 26.0.50; Crash when pressing C-g in TTY mode

From: [email-masked]
Date: Thu, 05 Jan 2017 18:39:28 -0500

tags 25178 fixed
close 25178 
quit

> Date: Mon, 19 Dec 2016 19:17:02 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Elias Martenson <[email-masked]>
> > CC: <[email-masked]>
> > Date: Mon, 19 Dec 2016 10:48:08 +0800
> > 
> > > Eli Zaretskii <[email-masked]> writes:
> > > 
> > > > From: Elias Martenson <[email-masked]>
> > > > CC: <[email-masked]>
> > > > Date: Wed, 14 Dec 2016 11:09:12 +0800
> > > > 
> > > 
> > > Can you try the patch below and see if it stops the crashes? With
> > > this patch, I no longer see two calls to pthread_mutex_unlock in a
> > > row.
> > 
> > I've tried it, and I am now unable to reproduce the problem. Thanks a
> > lot!
> 
> Thanks, pushed.  Please test.

I presume this can be considered fixed now.